Bug 1132385 - qemu-img convert rate about 100k/second from qcow2/raw to vmdk format on nfs system file
Summary: qemu-img convert rate about 100k/second from qcow2/raw to vmdk format on nfs ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Fam Zheng
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1002493
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-21 09:19 UTC by Fam Zheng
Modified: 2015-03-05 09:53 UTC (History)
12 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.2-10.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1002493
Environment:
Last Closed: 2015-03-05 09:53:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Comment 1 Miroslav Rezanina 2014-11-20 11:59:27 UTC
Fix included in qemu-kvm-rhev-2.1.2-10.el7

Comment 3 langfang 2014-11-28 08:27:54 UTC
Reproduce this bug as follow version:

# uname -r
3.10.0-210.el7.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.1.2-8.el7.x86_64

Steps:
1.mount nfs file system to local /mnt

2.time qemu-img convert -p -f qcow2 /mnt/rhel6.qcow2-O vmdk /mnt/rhel6-qcow2-vmdk

Results:
# time qemu-img convert -p -f qcow2 /mnt/RHEL-Server-6.6-64-virtio.qcow2 -O vmdk /mnt/rhel6-qcow2-vmdk
^C  (2.03/100%)

real	2m13.521s
user	0m0.452s
sys	0m1.372s

#ll -lh  rhel6-qcow2-vmdk
-rw-r--r--. 1 root root 125M Nov 28 16:12 rhel6-qcow2-vmdk

About 948k/s


Verify this bug as follow version:
Host:
# uname -r
3.10.0-210.el7.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.1.2-13.el7.x86_64

Steps:

1.mount nfs file system to local /mnt

2.time qemu-img convert -p -f qcow2 /mnt/rhel6.qcow2-O vmdk /mnt/rhel6-qcow2-vmdk


Results:
[root@localhost mnt]# time qemu-img convert -p -f qcow2 /mnt/RHEL-Server-6.6-64-virtio.qcow2 -O vmdk /mnt/rhel6-qcow2-vmdk
    (100.00/100%)

real	2m15.210s
user	0m2.960s
sys	0m7.313s

#ll -lh rhel6-qcow2-vmdk
-rw-r--r--. 1 root root 7G Nov 28 16:12 rhel6-qcow2-vmdk

About 50M/s


Addtional test :raw-->vmdk

time qemu-img convert -p -f raw /mnt/RHEL-Server-7.1-64-virtio.raw -O vmdk /mnt/rhel6-qcow2-vmdk

Results:100M/s


According to above test ,this bug has been fixed.

Comment 6 errata-xmlrpc 2015-03-05 09:53:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.